Bug 314571 - RHEL 5.2: SB700 contains two IDE channels
Summary: RHEL 5.2: SB700 contains two IDE channels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Bhavna Sarathy
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 253746
TreeView+ depends on / blocked
 
Reported: 2007-10-01 19:23 UTC by Bhavna Sarathy
Modified: 2009-06-20 01:18 UTC (History)
4 users (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:56:52 UTC


Attachments (Terms of Use)
SB700 test results on RHEL5.2 dev code base with patch -- x86_64 (33.00 KB, application/vnd.ms-excel)
2007-10-16 16:16 UTC, Bhavna Sarathy
no flags Details
SB700 test results on RHEL5.2 dev code base with patch -- i386 (163.50 KB, application/vnd.ms-powerpoint)
2007-10-16 16:16 UTC, Bhavna Sarathy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Bhavna Sarathy 2007-10-01 19:23:58 UTC
Description of problem:
SB700 supports one physical IDE channel, but SB700 SATA controller
supports combined mode. When the SATA combined mode is enabled,
two SATA ports(port4 and port5) share one IDE channel from IDE
controller, and PATA will share the other IDE channel.

Our previous patch adding SB700 IDE device ID supported one
IDE channel. The attached patch supports two channels for the 
latest hardware.

The attached patch has been sent to the linux kernel IDE maintainer, 
and once accepted the upstream git link will be submitted to the BZ.

Comment 1 Bhavna Sarathy 2007-10-01 19:27:55 UTC
diff -ruN linux-2.6.23-rc5_orig/drivers/ide/pci/atiixp.c
linux-2.6.23-rc5/drivers/ide/pci/atiixp.c
--- linux-2.6.23-rc5_orig/drivers/ide/pci/atiixp.c	2007-09-01 14:08:24.000000000
+0800
+++ linux-2.6.23-rc5/drivers/ide/pci/atiixp.c	2007-09-28 00:35:55.000000000 +0800
@@ -325,7 +325,7 @@
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP300_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 0},
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP400_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 0},
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP600_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 1},
-	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP700_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 1},
+	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP700_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 0},
 	{ 0, },
 };
 MODULE_DEVICE_TABLE(pci, atiixp_pci_tbl);

Comment 2 Bhavna Sarathy 2007-10-16 16:16:09 UTC
Created attachment 228941 [details]
SB700 test results on RHEL5.2 dev code base with patch -- x86_64

Comment 3 Bhavna Sarathy 2007-10-16 16:16:35 UTC
Created attachment 228951 [details]
SB700 test results on RHEL5.2 dev code base with patch -- i386

Comment 4 Bhavna Sarathy 2007-10-16 20:20:46 UTC
Shane, do you have an upstream submission link? 

Comment 5 Bhavna Sarathy 2007-10-16 20:30:50 UTC
This is what I found:
http://www.mail-archive.com/linux-ide@vger.kernel.org/msg10893.html

Comment 6 Shane Huang 2007-10-17 00:53:10 UTC
upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-
2.6.git;a=commit;h=7cfa7168f7a7730abf1aa2af4a7596d24edd4c21


Comment 7 RHEL Product and Program Management 2007-11-13 21:15:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Don Zickus 2007-12-14 18:37:58 UTC
in 2.6.18-60.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 John Poelstra 2008-03-21 03:52:37 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you

Comment 14 errata-xmlrpc 2008-05-21 14:56:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.